Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.spi
Class InviteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.netuix.application.communities.invitations.spi.InviteException

All Implemented Interfaces
  Serializable

    public class InviteException

extends Exception

Exception thrown by implementors of the `CommunityInviter` interface to report failures to the Communities invitations framework;

The overview of community functionality contains a description of the community framework.

See Also
  Serialized Form

Constructor Summary
`InviteException(String s)` Constructs a `InviteException` with the specified detail message.
`InviteException(String s, Throwable cause)` Constructs a `InviteException` with the specified detail message and causal exception.
`InviteException(Throwable cause)` Constructs a `InviteException` with the specified causal exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InviteException

    public InviteException(String s)

  Constructs a `InviteException` with the specified detail message.

  Parameters
    `s` - The detail message

### InviteException

    public InviteException(String s,
                           Throwable cause)

  Constructs a `InviteException` with the specified detail message and causal exception.

  Parameters
    `s` - The detail message
    `cause` - The exception that caused this exception to be thrown

### InviteException

    public InviteException(Throwable cause)

  Constructs a `InviteException` with the specified causal exception.

  Parameters
    `cause` - The exception that caused this exception to be thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved